# Miscellaneous Components							
# Component numbers 800-925							
#------------------------------------------------------------------------------							
# Computer Notes							
#newComputer(id, type, zoom, scanRange, leadIndicator, targetLabels, targetClosest, autoTarget);							
#zoom:  0 to 1.  If 0, no zoom.  If 1, current level of zoom.							
#scanRange:  scan range, in meters (identify target range)							
#							
#The other 4 parameters can take either a value of true or false, which enables or disables that feature.  Or it can take a number							
#between 0 and 1, which specifies how damaged the computer can be and still support this feature.  So true is equivalent to 0.0 (feature works							
#until the computer is destroyed) and false is equivalent to 2 (never works).							
#							
							
							
#------------------------------------------------------------------------------							
#Human Basic Computer			newComputer(id,type,zoom, scanRange, leadIndicator, targetLabels,targetClosest,autoTarget);				
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	800 ,	Computer,	0.5,	300 ,	f,	f,	f,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM1,	IDMNT_CMP_HUM1_L,	"hu_computerS_S.BMP",	"hu_computerS_SD.BMP",	"hu_computerS_L.BMP",	"hu_computerS_LD.BMP",	IDCSPEC_CMP_HUM1	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	H ,	25 ,	0.1 ,	S ,	200	);		
							
#------------------------------------------------------------------------------							
#Human Light Sniper Computer			newComputer(id,type,zoom, scanRange, leadIndicator, targetLabels,targetClosest,autoTarget);				
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	801 ,	Computer,	1.0,	1500 ,	f,	t,	f,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM2,	IDMNT_CMP_HUM2_L,	"hu_computerS_S.BMP",	"hu_computerS_SD.BMP",	"hu_computerS_L.BMP",	"hu_computerS_LD.BMP",	IDCSPEC_CMP_HUM2	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	2 ,	H ,	525 ,	0.5 ,	S ,	200	);		
							
#------------------------------------------------------------------------------							
#Human Skirmisher Computer			newComputer(id,type,zoom, scanRange, leadIndicator, targetLabels,targetClosest,autoTarget);				
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	802 ,	Computer,	0.0,	600 ,	f,	f,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM3,	IDMNT_CMP_HUM3_L,	"hu_computerS_S.BMP",	"hu_computerS_SD.BMP",	"hu_computerS_L.BMP",	"hu_computerS_LD.BMP",	IDCSPEC_CMP_HUM3	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	H ,	525 ,	0.3 ,	S ,	300	);		
									
#------------------------------------------------------------------------------									
# Human Standard Computer									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	803 ,	Computer,	0.75,	600 ,	t,	f,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM4,	IDMNT_CMP_HUM4_L,	"hu_computerM_S.BMP",	"hu_computerM_SD.BMP",	"hu_computerM_L.BMP",	"hu_computerM_LD.BMP",	IDCSPEC_CMP_HUM4	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	H ,	100 ,	0.5 ,	M ,	400	);		
									
#------------------------------------------------------------------------------									
# Human MultiRole Computer									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	804 ,	Computer,	0.80,	650 ,	t,	t,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM5,	IDMNT_CMP_HUM5_L,	"hu_computerM_S.BMP",	"hu_computerM_SD.BMP",	"hu_computerM_L.BMP",	"hu_computerM_LD.BMP",	IDCSPEC_CMP_HUM2	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	H ,	100 ,	0.9 ,	M ,	500	);		
															
#------------------------------------------------------------------------------									
# Human SharpShooter Computer									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	805 ,	Computer,	1.0,	2000 ,	t,	t,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM6,	IDMNT_CMP_HUM6_L,	"hu_computerM_S.BMP",	"hu_computerM_SD.BMP",	"hu_computerM_L.BMP",	"hu_computerM_LD.BMP",	IDCSPEC_CMP_HUM6	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	H ,	100 ,	1.2 ,	M ,	450	);		
									
																		
#------------------------------------------------------------------------------									
# Human Advanced Computer									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	806 ,	Computer,	1,	1200 ,	t,	t,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM7,	IDMNT_CMP_HUM7_L,	"hu_computerL_S.BMP",	"hu_computerL_SD.BMP",	"hu_computerL_L.BMP",	"hu_computerL_LD.BMP",	IDCSPEC_CMP_HUM7	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	H ,	150 ,	2.0 ,	L ,	600	);		
																		
#------------------------------------------------------------------------------									
# Human Assault Computer									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	807 ,	Computer,	1,	1600 ,	t,	t,	t,	t	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_HUM8,	IDMNT_CMP_HUM8_L,	"hu_computerL_S.BMP",	"hu_computerL_SD.BMP",	"hu_computerL_L.BMP",	"hu_computerL_LD.BMP",	IDCSPEC_CMP_HUM8	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	H ,	150 ,	3.0 ,	L ,	900	);		
									
									
#------------------------------------------------------------------------------									
# Cybrid Basic Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	810 ,	Computer,	0.6,	250 ,	f,	f,	f,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB1,	IDMNT_CMP_CYB1_L,	"cy_computerS_S.BMP",	"cy_computerS_SD.BMP",	"cy_computerS_L.BMP",	"cy_computerS_LD.BMP",	IDCSPEC_CMP_CYB1	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	C ,	75 ,	0.0 ,	S ,	200	);		
									
#------------------------------------------------------------------------------									
# Cybrid Skirmish Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	811 ,	Computer,	0.0,	500 ,	f,	f,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB2,	IDMNT_CMP_CYB2_L,	"cy_computerS_S.BMP",	"cy_computerS_SD.BMP",	"cy_computerS_L.BMP",	"cy_computerS_LD.BMP",	IDCSPEC_CMP_CYB2	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	C ,	575 ,	0.2 ,	S ,	300	);		

#------------------------------------------------------------------------------									
# Cybrid Sniper Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	812 ,	Computer,	1.0,	1500 ,	f,	t,	f,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB3,	IDMNT_CMP_CYB3_L,	"cy_computerS_S.BMP",	"cy_computerS_SD.BMP",	"cy_computerS_L.BMP",	"cy_computerS_LD.BMP",	IDCSPEC_CMP_CYB3	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	C ,	575 ,	0.4 ,	S ,	200	);		
									
#------------------------------------------------------------------------------									
# Cybrid Enhanced Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	813 ,	Computer,	0.85,	600 ,	t,	f,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB4,	IDMNT_CMP_CYB4_L,	"cy_computerM_S.BMP",	"cy_computerM_SD.BMP",	"cy_computerM_L.BMP",	"cy_computerM_LD.BMP",	IDCSPEC_CMP_CYB4	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	C ,	650 ,	0.75 ,	M ,	400	);		
									
#------------------------------------------------------------------------------									
# Cybrid MultiRole Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	814 ,	Computer,	0.75,	750 ,	t,	t,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB5,	IDMNT_CMP_CYB5_L,	"cy_computerM_S.BMP",	"cy_computerM_SD.BMP",	"cy_computerM_L.BMP",	"cy_computerM_LD.BMP",	IDCSPEC_CMP_CYB5	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	C ,	650 ,	0.85 ,	M ,	550	);		
									
#------------------------------------------------------------------------------									
# Cybrid SharpShooter Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	815 ,	Computer,	1.0,	2500 ,	t,	t,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB6,	IDMNT_CMP_CYB6_L,	"cy_computerM_S.BMP",	"cy_computerM_SD.BMP",	"cy_computerM_L.BMP",	"cy_computerM_LD.BMP",	IDCSPEC_CMP_CYB6	);	

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage			
mountInfo2 (	1 ,	C ,	650 ,	1.00 ,	M ,	400	);		
																	
#------------------------------------------------------------------------------									
# Cybrid Advanced Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	816 ,	Computer,	1,	1500 ,	t,	t,	t,	f	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB7,	IDMNT_CMP_CYB7_L,	"cy_computerL_S.BMP",	"cy_computerL_SD.BMP",	"cy_computerL_L.BMP",	"cy_computerL_LD.BMP",	IDCSPEC_CMP_CYB7	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	C ,	200 ,	1.8 ,	L ,	600	);	

#------------------------------------------------------------------------------									
# Cybrid Assault Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	817 ,	Computer,	1,	2000 ,	t,	t,	t,	t	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB8,	IDMNT_CMP_CYB8_L,	"cy_computerL_S.BMP",	"cy_computerL_SD.BMP",	"cy_computerL_L.BMP",	"cy_computerL_LD.BMP",	IDCSPEC_CMP_CYB8	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	C ,	200 ,	2.5 ,	L ,	900	);	

#------------------------------------------------------------------------------									
# Cybrid Command Systems Control									
#	id	Type	zoom	scanRange	Lead Indicator	targetLabels	targetClosest	autoTarget	
newComputer(	818 ,	Computer,	1,	3000 ,	t,	t,	t,	t	);

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag		
mountInfo1 (	IDMNT_CMP_CYB9,	IDMNT_CMP_CYB9_L,	"cy_computerL_S.BMP",	"cy_computerL_SD.BMP",	"cy_computerL_L.BMP",	"cy_computerL_LD.BMP",	IDCSPEC_CMP_CYB9	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	C ,	200 ,	3.0 ,	X ,	1000	);	
								

								
# Notes about jammers: Jamming chance is applied once per second. Value in the jamming chance field is the maximum chance attained at a distance of zero. 								
# Jamming chance falls with the square of distance								
#------------------------------------------------------------------------------								
# Guardian ECM								
#	id	Type	ECM Rating	ChargeRate 	JammingDistance	JammingChance		
newECM (	810 ,	ECM,	0.75 ,	10 ,	1000 ,	0.30	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag	
mountInfo1 (	IDMNT_ECM1,	IDMNT_ECM1_L,	"guardianECM_S.bmp",	"guardianECM_SD.bmp",	"guardianECM_L.bmp",	"guardianECM_LD.bmp",	IDCSPEC_ECM_HUM1	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	3 ,	H ,	700 ,	1.0 ,	S ,	500	);	


#------------------------------------------------------------------------------								
# Doppleganger ECM								
#	id	Type	ECM Rating	ChargeRate 	JammingDistance	JammingChance		
newECM (	811 ,	ECM,	1.2 ,	15 ,	1200 ,	0.50	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag	
mountInfo1 (	IDMNT_ECM2,	IDMNT_ECM2_L,	"doppleganger_S.bmp",	"doppleganger_SD.bmp",	"doppleganger_L.bmp",	"doppleganger_LD.bmp",	IDCSPEC_ECM_HUM2	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	5 ,	H ,	900 ,	2.0 ,	L ,	500	);	


#------------------------------------------------------------------------------								
# Cybrid Alpha ECM								
#	id	Type	ECM Rating	ChargeRate 	JammingDistance	JammingChance		
newECM (	812 ,	ECM,	0.9 ,	10 ,	1050 ,	0.35	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag	
mountInfo1 (	IDMNT_ECM3,	IDMNT_ECM3_L,	"cyECM1_S.bmp",	"cyECM1_SD.bmp",	"cyECM1_L.bmp",	"cyECM1_LD.bmp",	IDCSPEC_ECM_CYB1	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	3 ,	C ,	800 ,	1.5 ,	S ,	500	);	
								
								
#------------------------------------------------------------------------------								
#Cybrid Beta ECM								
#	id	Type	ECM Rating	ChargeRate 	JammingDistance	JammingChance		
newECM (	813 ,	ECM,	1.3 ,	15 ,	1250 ,	0.55	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag	
mountInfo1 (	IDMNT_ECM4,	IDMNT_ECM4_L,	"cyECM2_S.bmp",	"cyECM2_SD.bmp",	"cyECM2_L.bmp",	"cyECM2_LD.bmp",	IDCSPEC_ECM_CYB2	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	5 ,	C ,	1000 ,	3.0 ,	L ,	500	);	
								
								
#------------------------------------------------------------------------------								
# Thermal Diffuser								
#	id	Type	Rating	ChargeRate 	JammingDistance	JammingChance		
newThermal (	820 ,	ThermalDiffuser,	1 ,	10 ,	1000 ,	0.55	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description tag	
mountInfo1 (	IDMNT_DIF1,	IDMNT_DIF1_L,	"thermaldiffuser_S.bmp",	"thermaldiffuser_SD.bmp",	"thermaldiffuser_L.bmp",	"thermaldiffuser_LD.bmp",	IDCSPEC_THERM	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage	
mountInfo2 (	5 ,	A ,	1075 ,	2.0 ,	S ,	500	);


#------------------------------------------------------------------------------							
# Flares							
#	id	Type					
#newMountable (	825 ,	Flares	);				
#							
#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	
#mountInfo1 (	IDMNT_FLR,	IDMNT_FLR_L,	"flares_S.bmp",	"flares_SD.bmp",	"flares_L.bmp",	"flares_LD.bmp"	);
#							
#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage	
#mountInfo2 (	1 ,	A ,	100 ,	1.0 ,	S ,	500	);
#							
#							
#------------------------------------------------------------------------------								
# Chameleon								
#	id	rating	dmg_amt_glitch	glitch_coef	dmg_amt_fail	fail_coef		
newCloak (	830 ,	12000 ,	0.50 ,	1.00 ,	0.20 ,	5	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description Tag	
mountInfo1 (	IDMNT_CLK1,	IDMNT_CLK1_L,	"chameleonCloak_S.bmp",	"chameleonCloak_SD.bmp",	"chameleonCloak_L.bmp",	"chameleonCloak_LD.bmp",	IDSPEC_CLK1	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	4 ,	A ,	850 ,	1.0 ,	M ,	500	);	


#------------------------------------------------------------------------------								
# Cuttlefish cloak								
#	id	rating	dmg_amt_glitch	glitch_coef	dmg_amt_fail	fail_coef		
newCloak (	831 ,	16000 ,	0.50 ,	1.00 ,	0.20 ,	5	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP	Description Tag	
mountInfo1 (	IDMNT_CLK2,	IDMNT_CLK2_L,	"cuttlefishCloak_S.bmp",	"cuttlefishCloak_SD.bmp",	"cuttlefishCloak_L.bmp",	"cuttlefishCloak_LD.bmp",	IDSPEC_CLK2	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	5 ,	A ,	1125 ,	3.5 ,	L ,	500	);	
								

#------------------------------------------------------------------------------								
# Shield ReFocuser			FocusBoost determines relative effectiveness of shields front to back. Valid values are 0-1. 1==2x effective front, 1/2 rear.					
#	id	Type	FocusBoost					
newModulator (	840 ,	ShieldModulator,	0.05	);				

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_REF,	IDMNT_REF_L,	"shieldModulater_S.bmp",	"shieldModulater_SD.bmp",	"shieldModulater_L.bmp",	"shieldModulater_LD.bmp",	IDSPEC_REF	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	3 ,	A ,	1200 ,	1.0 ,	S ,	300	);	

#------------------------------------------------------------------------------								
# Shield Modulator			FocusBoost determines relative effectiveness of shields front to back. Valid values are 0-1. 1==2x effective front, 1/2 rear.					
#	id	Type	FocusBoost					
newModulator (	841 ,	ShieldModulator,	0.10	);				

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_SMOD,	IDMNT_SMOD_L,	"shieldModulater_S.bmp",	"shieldModulater_SD.bmp",	"shieldModulater_L.bmp",	"shieldModulater_LD.bmp",	IDSPEC_SMOD	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	5 ,	A ,	2400 ,	3.0 ,	M ,	500	);	
								
								
#------------------------------------------------------------------------------								
# Shield Capacitor								
#	id	Type	capacity	chargeRate	selfDamage			
newCapacitor (	845 ,	ShieldCapacitor,	1500 ,	25.00 ,	0.15	);		

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_SCAP,	IDMNT_SCAP_L,	"shieldCapacitor_S.bmp",	"shieldCapacitor_SD.bmp",	"shieldCapacitor_L.bmp",	"shieldCapacitor_LD.bmp",	IDSPEC_SCAP	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	A ,	500 ,	1.0 ,	S ,	500	);	

								
#------------------------------------------------------------------------------								
# Shield SureFire Capacitor								
#	id	Type	capacity	chargeRate	selfDamage			
newCapacitor (	846 ,	ShieldCapacitor,	1500 ,	25.00 ,	0.0	);		

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_SURE,	IDMNT_SURE_L,	"shieldCapacitor_S.bmp",	"shieldCapacitor_SD.bmp",	"shieldCapacitor_L.bmp",	"shieldCapacitor_LD.bmp",	IDSPEC_SURE	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	A ,	500 ,	1.0 ,	S ,	500	);	
								
								
#------------------------------------------------------------------------------								
#Shield Amplifier (increases shield constant)								
#	id	Type	multiplier					
newAmplifier (	850 ,	ShieldAmplifier,	1.25	);				

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_SAMP,	IDMNT_SAMP_L,	"shieldAmplifier_S.bmp",	"shieldAmplifier_SD.bmp",	"shieldAmplifier_L.bmp",	"shieldAmplifier_LD.bmp",	IDSPEC_SAMP	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	3 ,	A ,	825 ,	2.0 ,	M ,	500	);	

								
#------------------------------------------------------------------------------								
#Shield Doubler (Doubles shield constant)								
#	id	Type	multiplier					
newAmplifier (	851 ,	ShieldAmplifier,	2.00	);				

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_DOUB,	IDMNT_DOUB_L,	"shieldAmplifier_S.bmp",	"shieldAmplifier_SD.bmp",	"shieldAmplifier_L.bmp",	"shieldAmplifier_LD.bmp",	IDSPEC_DOUB	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	3 ,	A ,	825 ,	6.0 ,	L ,	500	);	
								

#------------------------------------------------------------------------------								
# Laser Targeting Module								
#	id	Type						
newMountable (	860 ,	LaserTargeting	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_LTAD,	IDMNT_LTAD_L,	"Ltads_S.bmp",	"Ltads_SD.bmp",	"Ltads_L.bmp",	"Ltads_LD.bmp",	IDSPEC_LTAD	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	2 ,	A ,	500 ,	1.0 ,	S ,	500	);	
								

#------------------------------------------------------------------------------------								
# Extra Battery								
#	id	Type	Capacity					
newBattery (	865 ,	Battery,	1000	);				

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_BAT,	IDMNT_BAT_L,	"battery_S.bmp",	"battery_SD.bmp",	"battery_L.bmp",	"battery_LD.bmp",	IDSPEC_BAT	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	A ,	1000 ,	1.0 ,	S ,	500	);	


#------------------------------------------------------------------------------------								
# Tritium Battery								
#	id	Type	Capacity					
newBattery (	866 ,	Battery,	1500	);				

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_TBAT,	IDMNT_TBAT_L,	"battery_S.bmp",	"battery_SD.bmp",	"battery_L.bmp",	"battery_LD.bmp",	IDSPEC_TBAT	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	A ,	1000 ,	2.0 ,	M ,	300	);	


#------------------------------------------------------------------------------------								
# Blitz Battery								
#	id	Type	Capacity					
newBattery (	867 ,	Battery,	2000	);				

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_BBAT,	IDMNT_BBAT_L,	"battery_S.bmp",	"battery_SD.bmp",	"battery_L.bmp",	"battery_LD.bmp",	IDSPEC_BBAT	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	A ,	1000 ,	4.0 ,	l ,	150	);	
								
								
#------------------------------------------------------------------------------------								
# Reactor Capacitor								
#	id	Type	capacity	chargeRate	selfDamage			
newCapacitor (	870 ,	Capacitor,	1500 ,	25.00 ,	0.1	);		

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_CAP,	IDMNT_CAP_L,	"capacitor_S.bmp",	"capacitor_SD.bmp",	"capacitor_L.bmp",	"capacitor_LD.bmp",	IDSPEC_CAP	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	2 ,	A ,	450 ,	1.0 ,	S ,	500	);	
								

#------------------------------------------------------------------------------------								
# Field Stabilizer								
#	id	Type						
newMountable (	875 ,	FieldStabilizer	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_FSTB,	IDMNT_FSTB_L,	"fieldstabilizer_S.bmp",	"fieldstabilizer_SD.bmp",	"fieldstabilizer_L.bmp",	"fieldstabilizer_LD.bmp",	IDSPEC_FSTB	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	1 ,	A ,	400 ,	0.1 ,	S ,	500	);	
								

#------------------------------------------------------------------------------------								
# Rocket Booster								
#	id	Type	boostRatio 	energyCapacity 	burnRate 	chargeRate		
newBooster (	880 ,	RocketBooster,	1.80 ,	1300 ,	150 ,	50	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_RBST,	IDMNT_RBST_L,	"rocketboost_S.bmp",	"rocketboost_SD.bmp",	"rocketboost_L.bmp",	"rocketboost_LD.bmp",	IDSPEC_RBST	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	5 ,	A ,	675 ,	4.0 ,	L ,	500	);	

								
#------------------------------------------------------------------------------------								
# Nitro Boost								
#	id	Type	boostRatio 	energyCapacity 	burnRate 	chargeRate		
newBooster (	881 ,	TurbineBoost,	3.00 ,	360 ,	300.0 ,	60.0	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_NBST,	IDMNT_NBST_L,	"tubineboost_S.bmp",	"tubineboost_SD.bmp",	"turbineboost_L.bmp",	"turbineboost_LD.bmp",	IDSPEC_NBST	);
								

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	4 ,	A ,	875 ,	1.0 ,	S ,	500	);	

								
#------------------------------------------------------------------------------------								
# Quantum Accelerator Boost								
#	id	Type	boostRatio 	energyCapacity 	burnRate 	chargeRate		
newBooster (	882 ,	RocketBooster,	2.50 ,	2000 ,	200.0 ,	50.0	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_QBST,	IDMNT_QBST_L,	"tubineboost_S.bmp",	"tubineboost_SD.bmp",	"turbineboost_L.bmp",	"turbineboost_LD.bmp",	IDSPEC_QBST	);
								

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	8 ,	A ,	875 ,	8.0 ,	X ,	500	);	
										
								
#------------------------------------------------------------------------------------								
# Turbine Boost								
#	id	Type	boostRatio 	energyCapacity 	burnRate 	chargeRate		
newBooster (	885 ,	TurbineBoost,	1.75 ,	100 ,	40.0 ,	20	);	

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_TBST,	IDMNT_TBST_L,	"tubineboost_S.bmp",	"tubineboost_SD.bmp",	"turbineboost_L.bmp",	"turbineboost_LD.bmp",	IDSPEC_TBST	);
								

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	4 ,	A ,	875 ,	2.0 ,	M ,	500	);	
							
								
#------------------------------------------------------------------------------------								
#NanoRepair								
#	id	Type	Repair Rate	Energy Drain				
newRepair (	890 ,	NanoRepair,	30 ,	10.00	);			

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_NANO,	IDMNT_NANO_L,	"nanorepair_S.bmp",	"nanorepair_SD.bmp",	"nanorepair_L.bmp",	"nanorepair_LD.bmp",	IDSPEC_NANO	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	8 ,	X ,	3000 ,	6.0 ,	L ,	3000	);	

								
#------------------------------------------------------------------------------------								
# NanoBurst Repair								
#	id	Type	Repair Rate	Energy Drain				
newRepair (	891 ,	NanoRepair,	30 ,	10.00	);			

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_NANB,	IDMNT_NANB_L,	"nanorepair_S.bmp",	"nanorepair_SD.bmp",	"nanorepair_L.bmp",	"nanorepair_LD.bmp",	IDSPEC_NANB	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	9 ,	X ,	3000 ,	3.0 ,	M ,	1000	);	

								
#------------------------------------------------------------------------------------								
# PolyNano Repair								
#	id	Type	Repair Rate	Energy Drain				
newRepair (	892 ,	NanoRepair,	50 ,	30.00	);			

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_NANP,	IDMNT_NANP_L,	"nanorepair_S.bmp",	"nanorepair_SD.bmp",	"nanorepair_L.bmp",	"nanorepair_LD.bmp",	IDSPEC_NANP	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	10 ,	X ,	3000 ,	6.0 ,	X ,	10000	);	


#------------------------------------------------------------------------------------								
#Angle Life Support								
#	id	Type						
newMountable (	900 ,	LifeSupport	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_LIFE,	IDMNT_LIFE_L,	"angellife_S.bmp",	"angellife_SD.bmp",	"angellife_L.bmp",	"angellife_LD.bmp",	IDSPEC_LIFE	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	2 ,	A ,	425 ,	0.5 ,	S ,	500	);	


#------------------------------------------------------------------------------------								
# Min Agrav Generator								
#	id	Type						
newMountable (	909 ,	AgravGenerator	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_MINGRV,	IDMNT_MINGRV_L,	"agravGen_S.bmp",	"agravGen_SD.bmp",	"agravGen_L.bmp",	"agravGen_LD.bmp",	IDSPEC_MINGRV	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	10 ,	X ,	6250 ,	-3.0 ,	M ,	500	);	


#------------------------------------------------------------------------------------								
#Agrav Generator								
#	id	Type						
newMountable (	910 ,	AgravGenerator	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_AGRV,	IDMNT_AGRV_L,	"agravGen_S.bmp",	"agravGen_SD.bmp",	"agravGen_L.bmp",	"agravGen_LD.bmp",	IDSPEC_AGRV	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	10 ,	X ,	12500 ,	-5.0 ,	L ,	500	);	


#------------------------------------------------------------------------------------								
# Max Agrav Generator								
#	id	Type						
newMountable (	911 ,	AgravGenerator	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_MAXGRV,	IDMNT_MAXGRV_L,	"agravGen_S.bmp",	"agravGen_SD.bmp",	"agravGen_L.bmp",	"agravGen_LD.bmp",	IDSPEC_MAXGRV	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	10 ,	X ,	25000 ,	-10.0 ,	X ,	500	);	


#------------------------------------------------------------------------------------								
#ElectroHull								
#	id	Type						
newMountable (	912 ,	electroHull	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDWEA_EHUL,	IDWDESC_EHUL,	"EHUL_S.bmp",	"EHUL_SD.bmp",	"EHUL_L.bmp",	"EHUL_LD.bmp",	IDSPEC_EHUL	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	6 ,	H ,	915 ,	5.0 ,	L ,	500	);	


#------------------------------------------------------------------------------------								
#UAP								
#	id	Type						
newMountable (	914 ,	ammoPack	);					

#	ShortName_tag	LongName_tag	SmallBmp	SmallDisBmp        	LargeBmp	LargeDisBMP		
mountInfo1 (	IDMNT_AMMOPACK,	IDMNT_AMMOPACK_L,	"LGB_S.bmp",	"LGB_SD.bmp",	"LGB_L.bmp",	"LGB_LD.bmp",	IDSPEC_AMMOPACK	);

#	Tech Level	Tech Base	Combat Value	Mass	Mountpoint Size	Damage		
mountInfo2 (	4,	X ,	750 ,	4.0 ,	M ,	800	);